View Issue Details

IDProjectCategoryView StatusLast Update
0004148SOGoWeb Calendarpublic2018-02-19 09:02
Reporterzden2k Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.8 
Fixed in Version4.0.0 
Summary0004148: Missing numbers of weeks
Description

Hello,
one of our user noticed, that sogo has stopped showing week numbers. Is this a feature, or anything is broken?
Thanks.

Tagsangularjs, calendar, Patch

Relationships

has duplicate 0004167 new Show week number 

Activities

zden2k

zden2k

2017-04-19 05:18

reporter  

weeknum.png (57,360 bytes)   
weeknum.png (57,360 bytes)   
francis

francis

2017-04-21 15:01

administrator   ~0011745

I've opened a pull request in angular-material to fix this issue:

https://github.com/angular/material/pull/10606

Feel free to "thumb up" the PR if you have a github account!

zden2k

zden2k

2017-04-28 06:33

reporter   ~0011770

Something wrong? https://travis-ci.org/angular/material/builds/224461696

Z.

francis

francis

2017-04-28 09:58

administrator   ~0011772

I rebased on their latest code. Looks good now. Let's hope they will merge it ..

fsoyer

fsoyer

2017-05-24 11:40

reporter   ~0011830

Hi Francis,
I noticed that it is not solved on 3.2.9. Any news on the implementation of week number ?

Tanks
Frank

francis

francis

2017-05-24 11:46

administrator   ~0011831

Go add a "thumb up" to my pull request. Unfortunately, the ng-material repo has been totally quiet for the past two weeks.

jisse44

jisse44

2018-02-18 02:39

reporter   ~0012610

Last edited: 2018-02-18 03:03

View 4 revisions

Hi, now Francis's commit is merged, is it possible to push it to SOGo too ?

By now I have to patch every time I upgrade (debian nightly)

Concerned files in SOGo:
https://github.com/inverse-inc/sogo/blob/master/UI/WebServerResources/js/vendor/angular-material.js
https://github.com/inverse-inc/sogo/blob/master/UI/WebServerResources/js/vendor/angular-material.min.js

Please update Angular Material SOGo tree to 1.1.7:
https://github.com/angular/material/tree/787a2415278c0b7c6e0f53adaf1943a16f0a4f14

jisse44

jisse44

2018-02-18 02:51

reporter  

with_patch.png (18,171 bytes)   
with_patch.png (18,171 bytes)   

Related Changesets

sogo: master b8a02d6c

2018-02-19 09:01:06

francis

Details Diff
(css,js) Update md to v1.1.7

Fixes 0004148
Affected Issues
0004148
mod - UI/WebServerResources/angular-material Diff File
mod - UI/WebServerResources/bower.json Diff File

Issue History

Date Modified Username Field Change
2017-04-19 05:18 zden2k New Issue
2017-04-19 05:18 zden2k File Added: weeknum.png
2017-04-21 15:01 francis Note Added: 0011745
2017-04-28 06:33 zden2k Note Added: 0011770
2017-04-28 09:58 francis Note Added: 0011772
2017-05-12 12:38 francis Relationship added has duplicate 0004167
2017-05-24 11:40 fsoyer Note Added: 0011830
2017-05-24 11:46 francis Note Added: 0011831
2018-02-18 02:39 jisse44 Note Added: 0012610
2018-02-18 02:47 jisse44 Note Edited: 0012610 View Revisions
2018-02-18 02:48 jisse44 Tag Attached: calendar
2018-02-18 02:48 jisse44 Tag Attached: Patch
2018-02-18 02:48 jisse44 Tag Attached: angularjs
2018-02-18 02:51 jisse44 File Added: with_patch.png
2018-02-18 03:00 jisse44 Note Edited: 0012610 View Revisions
2018-02-18 03:03 jisse44 Note Edited: 0012610 View Revisions
2018-02-19 09:02 francis Changeset attached => sogo master b8a02d6c
2018-02-19 09:02 francis Assigned To => francis
2018-02-19 09:02 francis Resolution open => fixed
2018-02-19 09:02 francis Status new => resolved
2018-02-19 09:02 francis Fixed in Version => 4.0.0